CREATE TABLE mkt_imp_vendor_profiles (
    BATCH_ID                   NUMBER(18, 0) ,
    INTERFACE_ROW_ID           NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    IMPORT_STATUS_CODE         VARCHAR2(120) ,
    ACTION_CODE                VARCHAR2(120) ,
    FILE_RECORD_NUM            NUMBER(10, 0) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    VENDOR_EXT_REF             VARCHAR2(120) ,
    VENDOR_DLV_PROF_EXT_REF    VARCHAR2(256) ,
    VENDOR_ID                  NUMBER(18, 0) ,
    DELV_PROFILE_ID            NUMBER(18, 0) ,
    PARAM_ID                   NUMBER(18, 0) ,
    CHANNEL_TYPE               VARCHAR2(120) ,
    SUPPORTED_CHANNEL_TYPE     VARCHAR2(120) ,
    BATCH_SIZE                 NUMBER(18, 0) ,
    START_DT                   DATE          ,
    END_DT                     DATE          ,
    CAPACITY_QTY               NUMBER        ,
    CAPACITY_REPT_FREQ         NUMBER(18, 0) ,
    CAPACITY_REPT_UNIT_CD      VARCHAR2(120) ,
    PROFILE_NAME               VARCHAR2(1000),
    DLV_PROFILE_STATUS         VARCHAR2(120) ,
    ACTIVE_FLAG                VARCHAR2(4)   ,
    DLV_DESC_TEXT              VARCHAR2(4000),
    PARAM_NAME                 VARCHAR2(1000),
    PARAM_VALUE                VARCHAR2(1000),
    CREATION_DATE              TIMESTAMP(6)  ,
    CREATED_BY                 VARCHAR2(256) ,
    LAST_UPDATED_BY            VARCHAR2(256) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    BATCH_ID                   NUMBER(18, 0) ,
    INTERFACE_ROW_ID           NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    IMPORT_STATUS_CODE         VARCHAR2(120) ,
    ACTION_CODE                VARCHAR2(120) ,
    FILE_RECORD_NUM            NUMBER(10, 0) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    VENDOR_EXT_REF             VARCHAR2(120) ,
    VENDOR_DLV_PROF_EXT_REF    VARCHAR2(256) ,
    VENDOR_ID                  NUMBER(18, 0) ,
    DELV_PROFILE_ID            NUMBER(18, 0) ,
    PARAM_ID                   NUMBER(18, 0) ,
    CHANNEL_TYPE               VARCHAR2(120) ,
    SUPPORTED_CHANNEL_TYPE     VARCHAR2(120) ,
    BATCH_SIZE                 NUMBER(18, 0) ,
    START_DT                   DATE          ,
    END_DT                     DATE          ,
    CAPACITY_QTY               NUMBER        ,
    CAPACITY_REPT_FREQ         NUMBER(18, 0) ,
    CAPACITY_REPT_UNIT_CD      VARCHAR2(120) ,
    PROFILE_NAME               VARCHAR2(1000),
    DLV_PROFILE_STATUS         VARCHAR2(120) ,
    ACTIVE_FLAG                VARCHAR2(4)   ,
    DLV_DESC_TEXT              VARCHAR2(4000),
    PARAM_NAME                 VARCHAR2(1000),
    PARAM_VALUE                VARCHAR2(1000),
    CREATION_DATE              TIMESTAMP(6)  ,
    CREATED_BY                 VARCHAR2(256) ,
    LAST_UPDATED_BY            VARCHAR2(256) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CONSTRAINT pk_mkt_imp_vendor_profiles PRIMARY KEY (BATCH_ID, INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID)
);
